For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
      • DELDelete
      • PATCHUpdate
      • GETSearch
LogoLogo
BlogLogin
API Referenceknowledge

Search

GET
https://api.flockx.io/api/v1/knowledge/:id/search
GET
/api/v1/knowledge/:id/search
$curl https://api.flockx.io/api/v1/knowledge/id/search \
> -H "Authorization: <apiKey>"
1{
2 "total_nodes": 42,
3 "total_edges": 42,
4 "nodes": [
5 {
6 "uuid": "foo",
7 "name": "foo",
8 "summary": "foo",
9 "labels": [
10 "foo"
11 ],
12 "created_at": "foo"
13 }
14 ],
15 "edges": [
16 {
17 "uuid": "foo",
18 "fact": "foo",
19 "source_node_uuid": "foo",
20 "target_node_uuid": "foo",
21 "name": "foo",
22 "created_at": "foo",
23 "valid_at": "foo"
24 }
25 ]
26}

Search the specified knowledge graph for facts (nodes and edges) based on an optional query.

Was this page helpful?
Previous

List

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequiredformat: "uuid"

Query parameters

querystringOptionalDefaults to *
Search query to filter nodes and edges of the graph.
limitintegerOptional1-50Defaults to 10
Maximum number of results per result.

Response

Successful Response
total_nodesinteger
total_edgesinteger
nodeslist of objects
edgeslist of objects

Errors

422
Unprocessable Entity Error